--[[---------------------------------------------------------------------------
	
	Creator: x[N]ir - #4841
	This work is licensed under the Creative Commons 
	Attribution-NonCommercial-ShareAlike 4.0 International License. 
	License details: http://creativecommons.org/licenses/by-nc-sa/4.0/
	
-----------------------------------------------------------------------------]]

--[[---------------------------------------------
	Init
-----------------------------------------------]]
if ATM then
	print( "\169255000000[ERROR]: ATM MOD is already launched !" )
	return
end

print( "\169255255255[ATM]: Loading..." )

--[[---------------------------------------------
	Main Table
-----------------------------------------------]]
ATM = {}

--[[---------------------------------------------
	Files
-----------------------------------------------]]
local root = "sys/lua/atm/"
local files = {
	--> CONFIG
	"cfg/config.cfg",

	--> SERVER
	"server/constants.lua",
	"server/core.lua",
	"server/utils.lua",
	"server/file.lua",
	"server/math.lua",
	"server/text.lua",
	"server/account.lua",
	"server/hooks.lua",

	--> CLIENT
	"client/account.lua",
	"client/menu.lua",
	"client/hooks.lua",
}

--> File Loop
for _, file in ipairs( files ) do
	print( "\169255255255[ATM]: " .. file )
	dofile( root .. file )
end

--[[---------------------------------------------
	Hooks
-----------------------------------------------]]
local hooks = { "use", "join", "leave", "startround", "attack", "clientdata",
	"die", "team" }

--> Hook Loop
for _, hook in pairs( hooks ) do
	addhook( hook, "ATM." .. hook )
end

print( "\169255255255[ATM]: Loading ATMs..." )
ATM.CORE_load()
ATM.CORE_load = nil

print( "\169255255255[ATM]: Loading completed !" )