--[[---------------------------------------------------------------------------
	
	Creator: x[N]ir - #4841
	This work is licensed under the Creative Commons 
	Attribution-NonCommercial-ShareAlike 4.0 International License. 
	License details: http://creativecommons.org/licenses/by-nc-sa/4.0/
	
-----------------------------------------------------------------------------]]

--[[---------------------------------------------
	FILE_exist
-----------------------------------------------]]
function ATM.FILE_exist( path )
	local f = io.open( path, "r" )

	if f then
		f:close()
		f = nil
		return true
	end

	return false
end

--[[---------------------------------------------
	FILE_load
-----------------------------------------------]]
function ATM.FILE_load( path )
	local f = io.open( path, 'r' )

	if f then
		--> Reset
		ATM.Lines = {}
		ATM.Line = 0

		for line in f:lines() do
			ATM.Lines[ #ATM.Lines + 1 ] = line
		end

		f:close()
	else
		ATM.debug( "Can't load <" .. path .. ">" )
	end
end

--[[---------------------------------------------
	FILE_read
-----------------------------------------------]]
function ATM.FILE_read( path )
	if path then
		ATM.loadFile( path )
	end

	ATM.Line = ATM.Line + 1
	return ATM.Lines[ ATM.Line ]
end

--[[---------------------------------------------
	FILE_write
-----------------------------------------------]]
function ATM.FILE_write( path, lines )
	local f = io.open( path, 'w+' )

	if f then
		--> Lines Loop
		for i = 1, #lines do
			f:write( lines[ i ] .. "\n" )
		end

		f:close()
	else
		ATM.debug( "Can't write in <" .. path .. ">" )
	end
end